// Matthew Kraus
// PowerMeter.h
//

#pragma once

#ifndef INCLUDED_POWERMETER
#define INCLUDED_POWERMETER

#ifndef __JUCETICE_JOYSTICK_HEADER__
	#include "jucetice_Joystick.h"
#endif

#ifndef __JUCE_CORE_JUCEHEADER__
	#include "modules/juce_core/juce_core.h"
#endif
#ifndef __JUCE_GRAPHICS_MODULE_JUCEHEADER__
	#include "modules/juce_graphics/juce_graphics.h"
#endif
#ifndef __JUCE_GUI_BASICS_JUCEHEADER__
	#include "modules/juce_gui_basics/juce_gui_basics.h"
#endif

using namespace juce;

class PowerMeter : public Component,
                   public JoystickListener
{
public:
	PowerMeter();

	virtual void paint(Graphics& g);

	virtual void resized();
	
    virtual void joystickValueChanged (Joystick* joystick);
	
	float getLeft()  {return _left;}
	float getRight() {return _right;}
	float getValue() {return _value;}
	
	int getPower();

private:
	int _value;
	float _left;
	float _right;
	float _p;

}; // end class

#endif // INCLUDED_POWERMETER