// Matthew Kraus
// TextLog.cpp
//

#include "TextLog.h"


TextLog::TextLog()
{
	monofont.setHeight(16.0f);	
    monofont.setTypefaceName (Font::getDefaultMonospacedFontName());    
}


void TextLog::paint(Graphics& g)
{
	g.fillAll(Colours::black);
	g.setColour(Colours::lime);
	//g.setFont (16.0f);
	g.setFont(monofont);

	String s1 = "$PING;$ECHO;";
	String s2 = "$ECHO;$PING;$ECHO;";

	// Rectangle<float>size_s1 = 

	GlyphArrangement ga;

	int xpos = 0;
	int ypos = 16;

	String str = "$PING;$PING;\r$ECHO;\r$PING;\r$ECHO;$PING;$PING;\r$ECHO;\r$PING;\r$ECHO;$PING;$PING;\r$ECHO;\r$PING;\r$ECHO;";
	const char* cstr = static_cast<const char*>(str.toUTF8() );
	char n[2];
	n[1] = 0;

	bool isRedOn = false;
	for (int i = 0; i < str.length(); i++) {
		if (cstr[i] == '\r') {			
			ga.draw(g);
			ga.clear();
			if (isRedOn) g.setColour(Colours::lime);
			else g.setColour(Colours::red);
			isRedOn = !isRedOn;
			continue;
		}
		n[0] = cstr[i];

		int len = monofont.getStringWidth( String(n) );
		int w = getWidth();
		if (xpos + len > getWidth() ) {
			xpos = 0;
			ypos += 16;
		}
		ga.addCurtailedLineOfText(monofont, String(n), xpos, ypos, getWidth(), false);
		xpos += len;
	} // end for

	ga.draw(g);
}